Index: CMake/FLTKConfig.cmake.in
===================================================================
--- CMake/FLTKConfig.cmake.in	(revision 11731)
+++ CMake/FLTKConfig.cmake.in	(working copy)
@@ -14,3 +14,18 @@
 
 set(FLTK_INCLUDE_DIRS "@INCLUDE_DIRS@")
 set(FLTK_USE_FILE ${CMAKE_CURRENT_LIST_DIR}/UseFLTK.cmake)
+
+if(CMAKE_CROSSCOMPILING)
+   find_file(FLUID_PATH
+      NAMES fluid fluid.exe
+      PATHS ENV PATH
+      NO_CMAKE_FIND_ROOT_PATH
+   )
+   add_executable(fluid IMPORTED)
+   set_target_properties(fluid
+      PROPERTIES IMPORTED_LOCATION ${FLUID_PATH}
+   )
+   set(FLTK_FLUID_EXECUTABLE ${FLUID_PATH})
+else()
+   set(FLTK_FLUID_EXECUTABLE fluid)
+endif(CMAKE_CROSSCOMPILING)
Index: CMake/UseFLTK.cmake.in
===================================================================
--- CMake/UseFLTK.cmake.in	(revision 11731)
+++ CMake/UseFLTK.cmake.in	(working copy)
@@ -1,25 +1,6 @@
 #
 # UseFLTK.CMake - FLTK CMake environment configuration file for external projects.
 #
-# This file is generated by CMake and used to set FLTK's environment for an external project.
+# This file is deprecated and will be removed in FLTK 1.4
 #
 # automatically generated - do not edit
-
-include_directories("@INCLUDE_DIRS@")
-
-if(CMAKE_CROSSCOMPILING)
-   find_file(FLUID_PATH
-      NAMES fluid fluid.exe
-      PATHS ENV PATH
-      NO_CMAKE_FIND_ROOT_PATH
-   )
-   add_executable(fluid IMPORTED)
-   set_target_properties(fluid
-      PROPERTIES IMPORTED_LOCATION ${FLUID_PATH}
-   )
-   set(FLTK_FLUID_EXECUTABLE ${FLUID_PATH})
-else()
-   set(FLTK_FLUID_EXECUTABLE fluid)
-endif(CMAKE_CROSSCOMPILING)
-
-set(FLTK_WRAP_UI TRUE)
